DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ChainCodeArrayNew

Chain code array allocation

## SYNOPSIS

`#include "dip_chaincode.h"`

dip_Error dip_ChainCodeArrayNew ( array, size, resources )

## FUNCTION

This function allocates the `size` elements of a `dip_ChainCodeArrayNew` and sets the size of the array to `size`.

## ARGUMENTS

Data type | Name | Description
`dip_ChainCodeArray *` | `array` | Receives pointer to allocated structure
`dip_int` | `size` | Number of chains to allocate space for
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`ImageChainCode`, `ChainCodeNew`, `ChainCodeFree`, `ChainCodeArrayFree`